<?php 
/**
 * 
 * @package luzuk
 */
if(get_theme_mod('testimonials_area_disable') != 'on' ){ ?> 
    <?php 
      if( get_theme_mod('testimonials_areaTpadding',true) ) {
        $testimonials_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('testimonials_areaTpadding')).';';
      }
      if( get_theme_mod('testimonials_areaBpadding',true) ) {
        $testimonials_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('testimonials_areaBpadding')).';';
      }

    ?>  

<div id="testimonials"class="testimonials-area " >
<div class="tes-olay"></div>
    <?php
        $testi_subtitle = get_theme_mod('testi_subtitle', 'Testimonials');
        $testi_maintitle = get_theme_mod('testi_maintitle', 'See What Our Customers Are Saying');
        $testi_titletxt = get_theme_mod('testi_titletxt', 'There are many variations of passages of Lorem Ipsum');
    ?>  
    <div class="container">
        <div class="row mr-0">
            <div class="col-lg-4 col-md-4 ">
               <?php if($testi_subtitle || $testi_maintitle || $testi_titletxt){ ?> 
                <div class="testi-titlebx">
                    <h3><?php echo ($testi_subtitle);  ?></h3>
                    <h2><?php echo ($testi_maintitle);  ?></h2>
                    <p><?php echo ($testi_titletxt);  ?></p>
                </div>
                <?php }?>
            </div>
          <div class="  col-lg-8 col-md-8 pd-0">
              <div class="tesbox">
                <!-- <div class="testi-icn"><i class="fa fa-quote-left" ></i></div> -->
                <div class="testimonials-single-area"> 
                    <div class="owl-carousel "> 
                      <?php  
                        $showStatic = true;
                        $cols = get_theme_mod('test_npp_count', 5);
                        $cols++;
                        switch($cols){
                          case 1:
                            $colCls = 'col-md-12 col-sm-12 col-xs-12';
                            break;
                          case 2:
                            $colCls = 'col-md-6 col-sm-6 col-xs-12';
                            break;
                          case 3:
                          case 5:
                          case 6:
                          case 7:
                          case 8:
                          case 9:
                          case 10:
                          case 11:
                          case 12:
                            $colCls = 'col-md-4 col-sm-6 col-xs-12';
                            break;
                          default:
                            $colCls = 'col-md-3 col-sm-6 col-xs-12';
                            break;
                        }
                        $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell'); 

                        for( $i = 1; $i <= $cols; $i++ ){
                          $testimonials_page_id = get_theme_mod('testimonials_page'.$i); 
                          $testimonials_page_icon = get_theme_mod('testimonials_page_icon'.$i);
                          if($testimonials_page_id){
                            $showStatic = false;
                            echo testimonialShortCode($testimonials_page_id, $isCustomizer=true, $i);
                        }
                      }

                        // adding the static content
                        if($showStatic === true){
                          for( $i = 1; $i <= $cols; $i++ ){ ?>
                        <div class="item items innertest-item ">        
                            <div data-match-height="groupName" class="ts-area-single ">
                                <div class="tsarea-inn">
                                    <div class="ts-area-c">   
                                        <p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration insome form, by injected humour, </p>
                                    </div> 
                                    <div class="ts-area-content">
                                        <div class="row">
                                            <div class="col-lg-9 col-md-9 ">
                                                <div class="ts-area-bx">
                                                    <h3 class="ts-area-title">Bruce J. Koonce</h3>
                                                    <div class="text-designation">( worker )</div>
                                                </div>
                                            </div>
                                            <div class="col-lg-3 col-md-3 pd-0">
                                                <div class="ts-area-thumb">
                                                    <div class="testiimginn">
                                                        <img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/images/testi.jpg" alt="">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                          <?php }

                        }?>
                    </div>   
                </div>
                <div class="clearfix"></div>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>
<script>
    $(document).ready(function() {
      $('.testimonials-area .owl-carousel').owlCarousel({
        refreshClass: 'owl-refresh',
        autoplayTimeout:6000,
        loop: true,
        margin: 30,
        autoHeight: true,
        autoWidth: false,
        autoplay: true,
        // animateOut: 'zoomIn',
        responsiveClass: true,
        responsive: {
          0: {
            items: 1,
            nav: true,
            margin: 10
          },
          600: {
            items:1,
            nav: true,
            margin: 10
          },
          1000: {
            items:2,
            nav: true,
            loop: true,
            margin: 40
          }
        }
      })
    })
</script>

<?php } 

